
QGIS Application - Bug report #3459

Show feature count issue

2011-02-01 06:28 AM - dr -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13519

Description

Click on layer name in TOC and check Show feature count. Uncheck this option - feature count still present.

Associated revisions

Revision 9f66c061 - 2011-02-01 04:32 PM - Marco Hugentobler

Fix #3459 (uncheck feature count)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15114 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 91296f6e - 2011-02-01 04:32 PM - Marco Hugentobler

Fix #3459 (uncheck feature count)

git-svn-id: http://svn.osgeo.org/qgis/trunk@15114 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-02-01 06:34 AM - dr -

And feature count not updates automatically after executing Query.

#2 - 2011-02-01 07:44 AM - Marco Hugentobler

- Status changed from Open to Closed

- Resolution set to fixed

Should be fixed in commit:91296f6e (SVN r15115) (update after query seems to work here too)

#3 - 2011-02-01 04:34 PM - dr -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

After query feature count updates if uncheck and check again this option manually.

commit:feda5827 (SVN r15119)
#4 - 2011-02-02 12:35 AM - Marco Hugentobler

Hm, it is not clear to me what you mean.

I'm loading a layer, check 'show feature count', then go to the query builder and select a subset with a query (e.g. YEAROFCHANGE='1992'). The feature

count updates in the legend. I'm unchecking 'show feature' and check it again and it behaves as it should.

What steps should I follow in detail to reproduce the bug?

#5 - 2011-02-02 01:01 AM - dr -

1. Open vector layer and check 'show feature count' (e.g. feature count = 10);

2. Run any query which returns 1 row. In canvas displayed 1 polygon, but in legend feature count still equal 10;

3. Uncheck this option and check it again - feature count is changed to correct value (=1).

#6 - 2011-02-02 06:39 AM - Alexander Bruy

Confirmed on Linux with commit:c56527fc (SVN r15121). When I run query from Properties-General-Query Builder all works as expected. But when I run

query from layer context menu as Query bug is present - feature count is not changed

#7 - 2011-02-02 06:50 AM - Marco Hugentobler

Ah, I always did the query in the properties dialog. Thanks, I'm able to reproduce now.

#8 - 2011-02-02 01:41 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Feedback to Closed

Ok, commit:68bd1e56 (SVN r15122) should work with the query builder from legend context too.
